osl::move_probability::King5x5Ptype Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::King5x5Ptype:

## Public Types

enum | { ONE_DIM = 25 * 4 * PTYPE_SIZE * PTYPE_SIZE , DIM = 2 * ONE_DIM }

## Public Member Functions

| King5x5Ptype ()
double | match (const StateInfo &si, const MoveInfo &mi, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static double | addOne (Player king, Square center, const StateInfo &si, const MoveInfo &mi, int offset, const double *w)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1427 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1430 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## King5x5Ptype()

osl::move_probability::King5x5Ptype::King5x5Ptype | ( |  | ) |

inline

Definition at line 1434 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## addOne()

double osl::move_probability::King5x5Ptype::addOne | ( | Player | king,
|  | Square | center,
|  | const StateInfo & | si,
|  | const MoveInfo & | mi,
|  | int | offset,
|  | const double * | w )

inline static

Definition at line 1437 of file move_probability/feature.h.

References osl::alt(), osl::BLACK, osl::Move::capturePtype(), osl::NumEffectState::countEffect(), osl::NumEffectState::hasEffectAt(), osl::Move::isDrop(), osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::PTYPE_SIZE, osl::move_probability::StateInfo::state, osl::Move::to(), osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by match().

## match()

double osl::move_probability::King5x5Ptype::match | ( | const StateInfo & | si,
|  | const MoveInfo & | mi,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1455 of file move_probability/feature.h.

References addOne(), osl::alt(), osl::SimpleState::kingSquare(), ONE_DIM, osl::move_probability::MoveInfo::player, and osl::move_probability::StateInfo::state.

The documentation for this class was generated from the following file:

- move_probability/feature.h